#
# spec file for package python3-ply
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-ply
Version:        3.6
Release:        6.1
Url:            http://www.dabeaz.com/ply/
Summary:        Python Lex & Yacc
License:        BSD-3-Clause
Group:          Development/Languages/Python
Source:         http://www.dabeaz.com/ply/ply-%{version}.tar.gz
Patch0:         python-ply-shebangs.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  fdupes
BuildRequires:  python3-2to3
BuildRequires:  python3-devel
BuildArch:      noarch

%description
PLY is yet another implementation of lex and yacc for Python. Some notable
features include the fact that its implemented entirely in Python and it
uses LALR(1) parsing which is efficient and well suited for larger grammars.

PLY provides most of the standard lex/yacc features including support for empty 
productions, precedence rules, error recovery, and support for ambiguous grammars. 

PLY is extremely easy to use and provides very extensive error checking. 
It is compatible with both Python 2 and Python 3.

%package doc
Summary:        Python Lex & Yacc
License:        LGPL-2.1+
Group:          Development/Languages/Python
Requires:       %{name} = %{version}

%description doc
PLY is yet another implementation of lex and yacc for Python. Some notable
features include the fact that its implemented entirely in Python and it
uses LALR(1) parsing which is efficient and well suited for larger grammars.

PLY provides most of the standard lex/yacc features including support for empty 
productions, precedence rules, error recovery, and support for ambiguous grammars. 

PLY is extremely easy to use and provides very extensive error checking. 
It is compatible with both Python 2 and Python 3.

%prep
%setup -q -n ply-%{version}
%patch0 -p1
# some backup files made it into the tar-ball
find . -type f -name "*~" -exec rm {} \;
find . -type f -name "*.bak" -exec rm {} \;

%build
export CFLAGS="%{optflags}"
python3 setup.py build
chmod a-x test/*py
%fdupes

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc ANNOUNCE CHANGES TODO
%{python3_sitelib}/ply/
%{python3_sitelib}/ply-%{version}-py%{py3_ver}.egg-info

%files doc
%defattr(-,root,root,-)
%doc doc example test

%changelog
* Mon Apr 27 2015 arun@gmx.de
- specfile:
  * removed modname variable
  * no README in tar-ball, removed it
- update to version 3.6:
  * long list of changes for 3.5 and 3.6, see
  https://github.com/dabeaz/ply/blob/master/CHANGES
* Sat Jan 10 2015 arun@gmx.de
- specfile:
  * update copyright year
  * remove python(abi) requirement
* Thu Nov 22 2012 toddrme2178@gmail.com
- Removed openSUSE 11.4 spec file workarounds
* Fri May 25 2012 toddrme2178@gmail.com
- Fix building on openSUSE 11.4
- spec file cleanups
* Fri May 25 2012 highwaystar.ru@gmail.com
- python3 package added
